<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2018/8/22
 * Time: 10:42
 */

namespace Modules\Base\Services\Exception;


use Throwable;

class PhoneNullException extends \Exception
{
    public function __construct(string $message = "", int $code = 0, Throwable $previous = null)
    {
        $message = $message ?: '您还没有设置手机号';
        parent::__construct($message, 102, $previous);
    }

    public static function make($message = '')
    {
        return new static($message);
    }
}